<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions 
xmlns:tdp="http://telefonica.com/pe/integration/v1/reconnectService" 
	xmlns:tdps="http://telefonica.com/pe/integration/v1/schema/reconnectService"
	xmlns:cab="http://telefonica.com/globalIntegration/header" 
    xmlns:flt="http://telefonica.com/globalIntegration/fault"
	xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" 
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
	name="reconnectService" 
	targetNamespace="http://telefonica.com/pe/integration/v1/reconnectService">


	<wsdl:types>
		<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://telefonica.com/pe/integration/v1/reconnectService">
			<xsd:import namespace="http://telefonica.com/pe/integration/v1/schema/reconnectService" schemaLocation="reconnectService.xsd"/>
			<xsd:import namespace="http://telefonica.com/globalIntegration/header" schemaLocation="Header_DOCLIT.xsd"/>
			<xsd:import namespace="http://telefonica.com/globalIntegration/fault" schemaLocation="MessageFault_DOCLIT.xsd"/>
		</xsd:schema>
	</wsdl:types>



	<wsdl:message name="reconnectServiceRequest">
		<wsdl:part element="tdps:reconnectServiceRequest" name="reconnectServiceRequest" />
	</wsdl:message>

	<wsdl:message name="reconnectServiceResponse">
		<wsdl:part element="tdps:reconnectServiceResponse" name="reconnectServiceResponse" />
	</wsdl:message>


	 <wsdl:message name="reconnectServiceHeaderReq">
        <wsdl:part name="reconnectServiceHeaderReq" element="cab:HeaderIn"/>
    </wsdl:message>
    <wsdl:message name="reconnectServiceHeaderRes">
        <wsdl:part name="reconnectServiceHeaderRes" element="cab:HeaderOut"/>
    </wsdl:message>


    <wsdl:message name="MessageFault">
        <wsdl:part name="MessageFault" element="flt:MessageFault"/>
    </wsdl:message>




	<wsdl:portType name="reconnectService">
		<wsdl:operation name="reconnectService">

			<wsdl:input message="tdp:reconnectServiceRequest" />
			<wsdl:output message="tdp:reconnectServiceResponse" />
			 <wsdl:fault message="tdp:MessageFault" name="MessageFault"/>
		</wsdl:operation>
	</wsdl:portType>


	<wsdl:binding name="reconnectServiceSOAP" type="tdp:reconnectService">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />


		<wsdl:operation name="reconnectService">

			<soap:operation soapAction="http://telefonica.com/pe/integration/v1/reconnectService" />
			
			<wsdl:input name="reconnectServiceRequest">
				<soap:header message="tdp:reconnectServiceHeaderReq" part="reconnectServiceHeaderReq" use="literal"/>
                <soap:body parts="reconnectServiceRequest" use="literal"/>
			</wsdl:input>
			
			<wsdl:output name="reconnectServiceResponse">
				<soap:header message="tdp:reconnectServiceHeaderRes" part="reconnectServiceHeaderRes" use="literal"/>
                <soap:body parts="reconnectServiceResponse" use="literal"/>
			</wsdl:output>

			<wsdl:fault name="MessageFault">
				<soap:fault name="MessageFault" use="literal"/>
			</wsdl:fault>
		</wsdl:operation>
	</wsdl:binding>


	<wsdl:service name="reconnectService">
		<wsdl:port binding="tdp:reconnectServiceSOAP" name="reconnectService">
			<soap:address location="http://telefonica.com/globalIntegration/services/reconnectService" />
		</wsdl:port>
	</wsdl:service>

</wsdl:definitions>
